PPIx::Regexp::Token::CharClass(3)

NAME
PPIx::Regexp::Token::CharClass - Represent a character class

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{\w}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::CharClass" is a PPIx::Regexp::Token.

"PPIx::Regexp::Token::CharClass" is the parent of PPIx::Regexp::Token::CharClass::POSIX and PPIx::Regexp::Token::CharClass::Simple.

DESCRIPTION
This class represents a character class. It is not intended that this class be instantiated; it simply serves to identify a character class in the class hierarchy, and provide any common methods that might become useful.

METHODS
This class provides the following public methods beyond those provided by its superclass.

  is_matcher
This method returns a true value because a character class actually matches something.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.